#!/bin/bash
source venv/bin/activate
if [[ "${#}" -eq 0 ]]; then
    while true; do
        echo "INFO  Run deployment tasks..."
        flask deploy
        if [[ "${?}" == "0" ]]; then
            break
        fi
        echo "WARNING  ...Failed, retrying in 5 secs..."
        sleep 5
    done
    if [[ "${NOPAQUE_DAEMON_ENABLED:-True}" == "True" ]]; then
        echo "INFO  Start nopaque daemon..."
        flask daemon run &
    fi
    echo "INFO  Start nopaque..."
    gunicorn \
      --error-logfile - \
      $([ "${ENABLE_GUNICORN_RELOAD:-False}" == "True" ] && echo "--reload") \
      --worker-class eventlet \
      -b :5000 \
      -w 1 nopaque:app
elif [[ "${1}" == "flask" ]]; then
    exec ${@:1}
else
    echo "${0} [COMMAND]"
    echo ""
    echo "nopaque startup script"
    echo ""
    echo "Commands:"
    echo "  flask"
fi
